/* Orange color : #e67e22 */
/* ---------------------------- */
/* BASIC SETUP */
/* ---------------------------- */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    background-color: #fff;
    color: #555;
    font-family: 'Lato', 'Arial', sans-serif;
    font-weight: 300;
    font-size: 20px;
    text-rendering: optimizeLegibility;
    overflow-x: hidden;
    height: 100%;
}

body {
    display: grid;
    grid-template-rows: auto 1fr auto;
    min-height: 100%;
}

main {
    height: 100%;
    position: relative;
}
.topnav #myLinks {
    display: flex;
}

.flex-box {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-content: end;
}

.flex-correct {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* ---------------------------- */
/* --- REUSABLE COMPONENTS ---- */
/* ---------------------------- */

.row {
    max-width: 1140px;  /* set the absolute width*/
    margin: 0 auto; /*center the page*/  
}

section {
    padding: 80px 0px;
}

.box {
    padding: 1%;
}

.clearfix { zoom : 1;}
.clearfix:after {
    content: '.';
    clear: both; /* clear floats*/
    display: block;
    height: 0;
    visibility: hidden;
}

/*---HEADINGS------*/
h1,
h2,
h3{
    font-weight: 300;
    text-transform: uppercase;
    letter-spacing: 1px;
}

h1  {
    margin-top: 0px;
    color: #fff;
    font-size: 240%;    /* font-size relative to the base font-size i.e 20px  */
    margin-bottom: 15px;
    word-spacing: 4px;
}

h2 {
    text-align: center;
    margin-bottom: 30px;
    font-size: 180%;
    word-spacing: 2px;
}

h2:after {
    display: block;
    content: " ";
    background-color: #e67e22;
    height: 2px;
    width: 100px;
    margin: 0 auto;
    margin-top: 20px;
}

h3 {
    font-size: 110%;
    margin-bottom: 15px;
}

/*----PARAGRAPHS----*/
.long-copy {
    line-height: 145%;
    width: 66%;
    margin-left: 17%;
}

.box p {
    font-size: 90%;
    line-height: 145%;
    text-align: justify;
}

/*---- ICONS -------*/
.icon-big {
    color: #e67e22;
    font-size: 350%;
    display: block;
    margin-bottom: 20px;
    padding-left: 30%;
}

/*--- Links ---*/
a:link,
a:visited {
    color: #e67e22;
    text-decoration: none;
    border-bottom: 1px solid #e67e22;
    padding-bottom: 1px;#e67e22;
    transition: border-bottom 0.5s, color 0.2s;    
}
a:hover,
a:active {
    color: #555;
    border-bottom: 1px solid transparent;
}

/*-----BUTTONS------*/
.btn:link,
.btn:visited,
input[type=submit]{
    display: inline-block;
    padding: 10px 30px;
    text-decoration: none;
    font-weight: 300;
    border: 1px solid;
    border-radius: 200px;
    transition: background-color 0.2s, color 0.2s, border 0.2s;
}

.btn-full:link,
.btn-full:visited,
input[type=submit] {
    background-color: #e67e22;
    border:1px solid #e67e22;
    margin-right: 25px;
    color: #fff;
}

.btn-ghost:link,
.btn-ghost:visited {
    border: 1px solid #e67e22;
    color: #e67e22;
}

.btn:hover,
.btn:active,
input[type=submit]:hover,
input[type=submit]:active {
    background-color: #cf6d17;
}

.btn-full:hover,
.btn-full:active,
 {
    border:1px solid #cf6d17;
}

.btn-ghost:hover,
.btn-ghost:active {
    border:1px solid #cf6d17;
    color: #fff;
}

/* ---------------------------- */
/* ---------HEADER------------- */
/* ---------------------------- */

header {
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(img/hero.jpg);
    background-size: cover; /* to have the image not zoomed in again but rather have a view on the entire image */
    background-position: center;
    height: 100vh; /* height is 100% of the viewport height */
    background-attachment: fixed;
}

.hero-text-box {
    position: absolute;
    width: 1140px;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%); /* move the text bow left and top*/
}

/*-----LOGO----*/
.logo {
    height: 100px;
    width: auto;
    float: left;
    margin-top: 20px;
}

.topnav {
    overflow: hidden;
    position: relative;
}
.topnav a.icon {
    display: none;
}
.topnav a.icon {
    position: absolute;
    right: 20px;
    top: 30px;
    padding: 14px 16px;
    font-size: 30px;
}

.topnav a {
    color: white;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    display: block;
  }

/*----MAIN NAVIGATION----*/
.main-nav{
    float: right;
    list-style: none;
    margin-top: 60px;
}

.main-nav li {
    display: inline-block;
    margin-left: 40px;
}
.main-nav li a:link,
.main-nav li a:visited {
    text-decoration: none;
    color: #fff;
    font-size: 90%;
    text-transform: uppercase;
    border: 0px;
}

.main-nav li a:hover,
.main-nav li a:active {
    border-bottom: 2px solid #e67e22;
    padding-bottom: 8px;
}
/*-------------*/
/*-- Features --*/
/*-------------*/
.section-feautures .long-copy {
    margin-bottom: 15px;
}

/*-------------*/
/*--- MEALS ---*/
/*-------------*/
.section-meals {
    padding: 0px;
}
.meals-showcase {
    display: block;
    list-style: none;
    width: 100%;
}

.section-meals ul li {
    display: block;
    width: 25%;
    float: left;
}
.meal-photo {
    width: 100%; /* meaning that it has the width of its parent li */
    margin-bottom: 0px;
    margin-top: 0px;
    overflow: hidden;
    background-color: #000;
}

.meal-photo img {
    width: 100%; /* ensure that the width of the image is exactly as wide as its container */
    height: auto;
    transform: scale(1.15);
    opacity: 0.7;
    transition: transform 0.5s, opacity 0.5s;
}
.meal-photo img:hover {
    transform: scale(1.03);
    opacity: 1;
}

/*--------------------*/
/*-- How it works ----*/
/*--------------------*/
.section-steps {
    background-color: #f5f5f5;
}

.steps-box:first-child {
    text-align: right; /**text-align works for all inline-block elements like img. So img will be aligned to the right of this box*/
    padding-right: 3%;
     margin-top: 30px;
}

.steps-box:last-child {
    padding-left: 3%;
    margin-top: 70px;
}

.app-screen {
    width: 40%;
}                                                                   

.works-step {
        margin-bottom: 30px;
   }

.works-step:last-of-type {
    margin-bottom: 80px;
}

.works-step div {
    color: #e67e22;
    border: 2px solid #e67e22;
    display: inline-block;
    border-radius: 50%;
    height: 55px;
    width: 50px;
    text-align: center;
    padding-top: 5px;
    font-size: 150%;
    float: left;
    margin-right: 25px;
}
.btn-app:link,
.btn-app:visited {
    border: 0;
}
.btn-app img {
    height: 50px;
    width: auto;
    margin-right: 10px;
}

/*---------------*/
/*---- Cities ---*/
/*---------------*/

.box img {
    height: 150px;
    width: 100%;
    margin-bottom: 15px;
}
.city-feature {
    margin-bottom: 5px;
}
.icon-small {
    color: #e67e22;
    display: inline-block;
    width: 30px;
    text-align: center;
    font-size: 120%;
    margin-right: 10px;
    
    /* secret to align icon and text */
    line-height: 120%;
}

/*------------------*/
/*-- TESTIMONIALS --*/
/*------------------*/

.section-testimonials {
    background-image: linear-gradient(rgba(0, 0, 0, 0.7),rgba(0, 0, 0, 0.7)), url(img/back-customers.jpg);
    background-size: cover; /* to make the image cover the width of my screen */
    background-attachment: fixed;
    color: #fff;
}

blockquote {
    padding: 2%;
    font-style: italic;
    line-height: 145%;
    position: relative;
    margin-top: 40px;
}

cite {
    font-size: 90%;
    display: block;
    margin-top: 25px;
}

cite img {
    border-radius: 50%;
    height: 50px;
    vertical-align: middle;
    margin-right: 10px;
}

blockquote:before {
    content:"\201C";
    font-size: 500%;
    display: block;
    position: absolute;
    left: -5px;
    top: -5px;
}

/*-----------------------*/
/*---- Section Plans ----*/
/*-----------------------*/

.section-plans {
    background-color: #f5f5f5;
}

.plan-box {
    background-color: #fff;
    border-radius: 5px;
    width: 90%;
    margin-left: 5%;
    box-shadow: 0 2px 2px #efefef;
}
.plan-box div {
    padding: 15px;
    border-bottom: 1px solid #e8e8e8;
}
.plan-price {
    font-size: 300%;
    font-weight: 100;
    color: #e67e22;
    margin-bottom: 10px;
}
.plan-price span {
    font-size: 30%;
    font-weight: 300;
}
.plan-price-meal {
    font-size: 80%;
}
.plan-box ul {
    list-style: none;
}
.plan-box ul li {
    padding: 5px 0;
}
.plan-box div:last-child {
    text-align: center;
    border: 0;
}
.plan-box div:first-child {
    background-color: #fcfcfc;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}
/*----------------*/
/*--- Footer -----*/
/*----------------*/

footer {
    background-color: rgba(18, 18, 18, 0.86); /* #333 */
    font-size: 80%;
    padding: 40px;
}

.footer-nav {
    list-style: none;
    float: left;
}

.social-links {
    list-style: none;
    float: right;
}

.footer-nav li,
.social-links li {
    display: inline-block;
    margin-right: 10px;
}

.footer-nav li:last-child,
.social-links li:last-child {
    margin-right: 0px;
}

.footer-nav li a:link,
.footer-nav li a:visited,
.social-links li a:link,
.social-links li a:visited {
    border: 0px;
    color: #888;
    transition: color 0.2s;
}

.footer-nav li a:hover,
.footer-nav li a:active,
.social-links li a:hover,
.social-links li a:active {
    color: #eee;
}

footer p {
    text-align: center;
    color: #887;
    font-size: 90%;
    margin-top: 20px;
}

.social-links li a:link,
.social-links li a:visited {
    font-size: 120%;
}

.ion-logo-facebook,
.ion-logo-twitter,
.ion-logo-googleplus,
.ion-logo-instagram {
    transition: color 0.2s;
}

.ion-logo-facebook:hover {
    color: #3b5998;
}
.ion-logo-twitter:hover {
    color: #00aced;
}
.ion-logo-googleplus:hover {
    color: #dd4b39;
}
.ion-logo-instagram:hover {
    color: #517fa4;
}

/*-----------------------*/
/*---- Section Plans ----*/
/*-----------------------*/

.contact-form {
    width: 60%;
    margin: 0 auto;
}

input[type=text],
input[type=email],
select,
textarea {
    width: 100%;
    padding: 7px;
    border-radius: 5px;
    border: 1px solid #d4d3d3;
}

textarea {
    height: 100px;
}

input[type=submit] { margin-right: 0px; }

input[type=checkbox] {
    margin: 10px 5px 10px 0px;
}

*:focus { outline: none; }
